Skip to navigation

List Super Admins with Assigned Companies

Returns a list of Super Admins with basic account data and a count of Companies associated with them. The id returned with Super Admin data may be used with other Super Admin API endpoints as the superAdminId.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

limitintegerOptional1-200Defaults to 10
Maximum number of entries to return per page of results.
offsetintegerOptional>=0Defaults to 0
The number of entries to skip before returning the current page of results.
orderByenumOptionalDefaults to DESC

Determines whether results will be sorted in acending (ASC) or descending (DESC) order.

Allowed values:
qstringOptional

Search string for the request. Response data will be limited to accounts matching this string in firstName, lastName, or email.

uuidstringOptional

Filter results by uuid. An empty uuid parameter will return all results.

maxCreatedstringOptional

Filter results by createdAt, returning only those with a Unix timestamp value less than maxCreated.

minCreatedstringOptional

Filter results by createdAt, returning only those with a Unix timestamp value greater than minCreated.

maxModifiedstringOptional

Filter results by updatedAt, returning only those with a Unix timestamp value less than maxModified.

minModifiedstringOptional

Filter results by updatedAt, returning only those with a Unix timestamp value greater than minModified.

isIncludeExtraFieldsenumOptionalDefaults to 0

Indicates whether to include extra fields in the response. A value of 0 will exclude extra fields, while a value of 1 will include them.

Allowed values:

Response

SUCCESS
codeintegerOptionalDefaults to 200
datalist of objectsOptional
metaobjectOptional